# $Revision: 1.58 $, $Date: 2010/09/29 12:28:10 $
%define 	orgname DrPython
Summary:	DrPython - cross-platform IDE to aid programming in Python
Summary(pl.UTF-8):	DrPython - wieloplatformowe IDE wspomagające programowanie w Pythonie
Name:		drpython
Version:	3.11.3
Release:	1
License:	GPL
Group:		Libraries/Python
Source0:	http://downloads.sourceforge.net/project/drpython/DrPython%20Current/%{version}/%{orgname}_%{version}.zip
# Source0-md5:	eb59cf61d840af274d2940ce1a3c2bd4
URL:		http://drpython.sourceforge.net/
BuildRequires:	pydoc
BuildRequires:	python
BuildRequires:	python-devel
BuildRequires:	python-modules >= 1:2.3
BuildRequires:	rpm-pythonprov
BuildRequires:	unzip
%pyrequires_eq	python-modules
Requires:	python-wxPython >= 2.8.11.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DrPython is a clean and simple yet powerful and highly customizable
editor/environment for developing programs written in the Python
programming Language. It is written in Python, and uses the wxWidgets
GUI Library through the use of wxPython.

%description -l pl.UTF-8
DrPython to przejrzysty i prosty, ale potężny i wysoko konfigurowalny
edytor/środowisko do tworzenia programów napisanych w języku Python.
Jest napisany w Pythonie i używa biblioteki graficznej wxWidgets
poprzez interfejs wxPython.

%prep
%setup -q -n %{orgname}

%build
chmod 644 *.py
%{_bindir}/python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

python -- setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

echo '#!/bin/sh' > $RPM_BUILD_ROOT%{_bindir}/drpython
echo 'exec python %{py_sitescriptdir}/drpython/drpython.pyw' >> $RPM_BUILD_ROOT%{_bindir}/drpython
chmod 755 $RPM_BUILD_ROOT%{_bindir}/drpython

find $RPM_BUILD_ROOT%{py_sitescriptdir} -not -wholename '*/drpython/examples/*' -name \*.py -exec rm -f {} \;
rm -rf $RPM_BUILD_ROOT%{py_sitescriptdir}/drpython/bitmaps/{16,24}/.xvpics
# win32 only
rm $RPM_BUILD_ROOT%{_bindir}/postinst.py
# replace by %{_bindir}/drpython
rm $RPM_BUILD_ROOT%{py_sitescriptdir}/drpython/drpython.lin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changelog.txt History.txt Notes.txt todo.txt documentation/*
%attr(755,root,root) %{_bindir}/drpython
%dir %{py_sitescriptdir}/drpython
%{py_sitescriptdir}/drpython/drpython.pyw
%{py_sitescriptdir}/drpython/*.py[oc]
%{py_sitescriptdir}/drpython/examples
%doc %{py_sitescriptdir}/drpython/documentation
%dir %{py_sitescriptdir}/drpython/bitmaps
%{py_sitescriptdir}/drpython/bitmaps/*.ico
%{py_sitescriptdir}/drpython/bitmaps/*.png
%dir %{py_sitescriptdir}/drpython/bitmaps/16
%{py_sitescriptdir}/drpython/bitmaps/16/*.png
%dir %{py_sitescriptdir}/drpython/bitmaps/24
%{py_sitescriptdir}/drpython/bitmaps/24/*.png
%{py_sitescriptdir}/*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: drpython.spec,v $
Revision 1.58  2010/09/29 12:28:10  rotom
- some cleanups

Revision 1.57  2010/09/29 12:24:59  rotom
- 3.11.3
- BR's updated

Revision 1.56  2010/07/08 07:44:59  arekm
- release 2

Revision 1.55  2010/05/16 10:47:22  sparky
- BR: python, python-devel, rpm-pythonprov

Revision 1.54  2010/04/18 20:46:36  wiget
- updated to 3.11.1

Revision 1.53  2008/10/03 17:42:29  arekm
- release 3

Revision 1.52  2008/07/27 22:59:49  arekm
- release 2

Revision 1.51  2007-02-12 21:23:53  glen
- tabs in preamble

Revision 1.50  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.49  2005/05/03 07:35:59  paszczus
- updated to 3.10.13

Revision 1.48  2005/02/28 21:51:15  qboosh
- s/osdn\.dl/dl/ in Source URL (osdn is no longer browsable)

Revision 1.47  2005/02/28 11:02:09  wiget
- updated to 3.10.12
- use setup.py to build and install
- remove .xvpics from package

Revision 1.46  2005/02/26 08:36:59  paszczus
- updated to 3.10.11

Revision 1.45  2005/02/23 15:43:29  wiget
- don't delete examples *.py

Revision 1.44  2005/02/23 12:58:02  wiget
- 3.10.10

Revision 1.43  2005/02/21 08:30:48  paszczus
- updated to 3.10.8

Revision 1.42  2005/02/20 21:31:59  darekr
- updated to 3.10.7

Revision 1.41  2005/02/18 09:08:27  paszczus
- updated to 3.10.6

Revision 1.40  2005/02/16 10:34:51  wiget
- updated to 3.10.5

Revision 1.39  2005/02/15 09:58:11  paszczus
- updated to 3.10.4

Revision 1.38  2005/02/08 09:50:15  paszczus
- updated to 3.9.9

Revision 1.37  2005/02/05 09:53:58  paszczus
- updated to 3.9.6

Revision 1.36  2005/01/28 21:11:01  paszczus
- updated to 3.9.5

Revision 1.35  2005/01/22 07:49:29  paszczus
- updated to 3.9.2

Revision 1.34  2005/01/21 14:37:00  darekr
- updated to 3.9.1

Revision 1.33  2005/01/19 02:58:47  ankry
- switch to osdn, md5

Revision 1.32  2005/01/18 14:56:39  paszczus
- updated to 3.9.0

Revision 1.31  2005/01/12 20:56:11  paszczus
- updated to 3.8.5
- darekr: don`t update to not-fresh version... (btw: fix changelog)

Revision 1.30  2005/01/12 20:24:29  darekr
- updated to 0.8.4

Revision 1.29  2004/12/31 12:41:45  paszczus
- updated to 3.8.0

Revision 1.28  2004/12/28 12:51:14  saq
- release 1 for rebuild with python 2.4

Revision 1.27  2004/12/25 23:30:00  qboosh
- less entropy, python epoch

Revision 1.26  2004/12/25 22:01:02  darekr
- updated to 3.7.9

Revision 1.25  2004/12/17 09:27:43  paszczus
- updated to 3.7.6

Revision 1.24  2004/12/06 22:52:20  paszczus
- updated to 3.7.3

Revision 1.23  2004/12/04 15:25:46  darekr
- updated to 3.7.2

Revision 1.22  2004/11/30 19:44:36  paszczus
- updated to 3.7.0

Revision 1.21  2004/11/25 23:33:42  paszczus
- updated to 3.6.11

Revision 1.20  2004/11/09 06:52:59  paszczus
- updated to 3.6.10

Revision 1.19  2004/11/02 10:13:12  paladine
- updated to 3.6.9

Revision 1.18  2004/11/01 09:16:23  ankry
- better pl summary

Revision 1.17  2004/11/01 09:02:35  paszczus
- updated to 3.6.8

Revision 1.16  2004/10/31 10:38:01  darekr
- updated to 3.6.7
- added BR unzip

Revision 1.15  2004/10/28 19:03:19  paszczus
- updated to 3.6.6

Revision 1.14  2004/10/26 20:24:52  paszczus
- updated to 3.6.4

Revision 1.13  2004/10/22 10:36:48  paszczus
- updated to 3.6.2

Revision 1.12  2004/10/10 18:20:00  paladine
- updated to 3.5.8

Revision 1.11  2004/10/06 21:11:02  paszczus
- updated to 3.5.6

Revision 1.10  2004/09/30 21:20:13  paszczus
- updated to 3.5.3

Revision 1.9  2004/09/23 07:45:45  paszczus
- updated to 3.5.0

Revision 1.8  2004/09/13 07:28:23  paszczus
- updated to 3.4.7

Revision 1.7  2004/09/11 06:34:25  zboczuch
- version 3.4.6
- Changelog included

Revision 1.6  2004/08/30 20:46:02  darekr
- update to 3.4.2

Revision 1.5  2004/07/28 08:03:13  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.4  2004/07/23 11:03:14  wiget
- updated to 3.2.2 (NFY)

Revision 1.3  2004/07/22 20:04:36  wrobell
- compile python modules properly

Revision 1.2  2004/07/22 18:27:51  qboosh
- descs, use py_scriptdir macro

Revision 1.1  2004/07/22 12:04:08  wiget
- initial release, waiting for python-wxPython 2.5.x to finish
